% wywo/lywane z M-pliku   mech_gui.m
% oblicza przebieg czasowy uk/ladu mechanicznego
% masa  m  jest  zawieszona na spr/e/zynie
% tlumienie     beta     jako zmienna globalna
% suwak (interfejs GUI)  s/lu/zy do ustawiania t/lumienia
global  beta t2        % NIE oddziela/c przecinkiem !!!

x0= [1.5 0];           % warto/sci dla t=0
%        rozwi/azywanie uk/ladu r/owna/n: Runge-Kutta lub Rosenbrock
  [t,x] = ode23 ('mech_ode', [t0, t2] , x0); %Runge-Kutta
% [t,x] = ode23s('mech_ode', [t0, t2], x0); % Rosenbrock

subplot(2,1,1)
plot(t,x), title('R/ownanie d^2x//dt^2 +\beta*dx//dt +x =0 ')
text(0,x0(1),'  x'),
xx=get(gca,'xlim'); yy=get(gca,'ylim');text(xx(2),yy(1),' time')
text(0,x0(2),'  dx//dt')

subplot(2,1,2)
plot(x(:,1),x(:,2))
xlabel('Wykres fazowy: dx//dt jako funkcja x'),ylabel('dx//dt')
