echo on
clear
clf
%
y = [1 1 1 1 2 2 2 2 2]; % zadano punkty funkcji schodkowej
x = [0:1:8];              % w przedziale [0, 8]
plot(x,y), pause(1)         % menu na rysunku:  Tools//Basic Fitting
xx = 0:.0625:8 ;     % podzia/l na wiele podprzedzia/l/ow
p8=polyfit(x,y,8);   % interpolacja wielomianowa (Lagrange'a)
p6=polyfit(x,y,6);   % aproksymacja wielomianowa
%  wektory p6 i p8 zawieraj/a wsp/o/lczynniki wielomian/ow
yp6=polyval(p6,xx);  % warto/sci wielomianu w punktach xx
yp8=polyval(p8,xx);
sp=spline(x,y,xx);   % warto/sci funkcji sklejanej w punktach xx
%  wsp/o/lczynniki funkcji sklejanej nie s/a dost/epne
plot(x,y,'o',xx,yp6,':',xx,yp8,'.-',xx,sp)      % wykres
hold on, stairs(x,y,':'), hold off  % wykres funkcji zadanej
title ('spline, wielomian 6 i 8 stopnia.')
